/* stylelint-disable docusaurus/copyright-header */
/**
 * Any CSS included here will be global. The classic template
 * bundles Infima by default. Infima is a CSS framework designed to
 * work well for content-centric websites.
 */

/* You can override the default Infima variables here. */

@font-face {
  font-family: 'GT Planar';
  src: url('/cdn/font/GT-Planar-Light.woff2') format('woff2');
  font-weight: 300;
  font-style: normal;
}

@font-face {
  font-family: 'GT Planar';
  src: url('/cdn/font/GT-Planar-Regular.woff2') format('woff2');
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: 'GT Planar';
  src: url('/cdn/font/GT-Planar-Medium.woff2') format('woff2');
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: 'GT Planar';
  src: url('/cdn/font/GT-Planar-Bold.woff2') format('woff2');
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: 'GT Planar';
  src: url('/cdn/font/GT-Planar-Black.woff2') format('woff2');
  font-weight: 900;
  font-style: normal;
}

:root {
  /* Core brand logic */
  --ifm-color-primary: #4f6fda;          /* Blue 600 */
  --ifm-color-primary-dark: #3f5ccc;
  --ifm-color-primary-darker: #374fb5;
  --ifm-color-primary-darkest: #2d4094;
  --ifm-color-primary-light: #6a88e4;
  --ifm-color-primary-lighter: #8aa2ef;
  --ifm-color-primary-lightest: #f2f5ff;

  /* Accent (use sparingly) */
  --ifm-link-color: #ff5c5f;             /* Red 600 */
  --ifm-color-info: #42b1ff;             /* Light blue 600 */

  /* Neutral system */
  --ifm-background-color: #ffffff;
  --ifm-background-surface-color: #f7f7f7;
  --ifm-header-color-base: #000000;
  --ifm-font-color-base: #4D4D4D;

  /* Footer */
  --ifm-color-footer-link: #ff5c5f;

  /* Cookie banner */
  --ifm-color-cb-background: #ffffff;
  --ifm-color-cb-footer-background: #f7f7f7;
  --ifm-color-cb-button: #4f6fda;

  --ifm-code-font-size: 95%;
  --ifm-font-family-base: "GT Planar", sans-serif;
  --ifm-h1-font-size: 42px;
}

h1, h2, h3, h4, h5, h6 {  
  font-family: "GT Planar", sans-serif;  font-weight: 500;
  color: var(--ifm-header-color-base)!important;
}


body {  
  font-family: "GT Planar", sans-serif;
}

body {
  font-weight: 300;
}

.navbar__inner {
  align-items: center;
}

html[data-theme='dark'] {
  --ifm-color-primary: #ffa5fb;
  --ifm-color-primary-light: #dec6dd;
  --ifm-color-primary-lightest: #fbf6fa;

   --ifm-link-color: #ff8a30;         /* Orange 600 */

  --ifm-background-color: #111111;
  --ifm-background-surface-color: #1a1a1a;
  --ifm-header-color-base: #ffffff;
  --ifm-font-color-base: #EBEBEB;

  --ifm-color-footer-link: #ff8a30;

  --ifm-color-cb-background: #272727;
  --ifm-color-cb-footer-background: #2e2e2e;
  --ifm-color-cb-button: #4f6fda;
}


/* Navbar logo sizing */
.navbar__logo img {
  width: calc(var(--doc-sidebar-width) - 128px);
}

.theme-doc-sidebar-container img {
  width: calc(var(--doc-sidebar-width) - 128px);
}

.theme-doc-sidebar-container img + b{
  display: none;
}

html[data-theme='light'] .DocSearch {
  /* --docsearch-primary-color: var(--ifm-color-primary); */
  /* --docsearch-text-color: var(--ifm-font-color-base); */
  --docsearch-muted-color: var(--ifm-color-secondary-darkest);
  --docsearch-container-background: rgba(94, 100, 112, 0.7);
  /* Modal */
  --docsearch-modal-background: var(--ifm-color-secondary-lighter);
  /* Search box */
  --docsearch-searchbox-background: var(--ifm-color-secondary);
  --docsearch-searchbox-focus-background: var(--ifm-color-white);
  /* Hit */
  --docsearch-hit-color: var(--ifm-font-color-base);
  --docsearch-hit-active-color: var(--ifm-color-white);
  --docsearch-hit-background: var(--ifm-color-white);
  /* Footer */
  --docsearch-footer-background: var(--ifm-color-white);
}

html[data-theme='dark'] .DocSearch {
  --docsearch-text-color: var(--ifm-font-color-base);
  --docsearch-muted-color: var(--ifm-color-secondary-darkest);
  --docsearch-container-background: rgba(47, 55, 69, 0.7);
  /* Modal */
  --docsearch-modal-background: var(--ifm-background-color);
  /* Search box */
  --docsearch-searchbox-background: var(--ifm-background-color);
  --docsearch-searchbox-focus-background: var(--ifm-color-black);
  /* Hit */
  --docsearch-hit-color: var(--ifm-font-color-base);
  --docsearch-hit-active-color: var(--ifm-color-white);
  --docsearch-hit-background: var(--ifm-color-emphasis-100);
  /* Footer */
  --docsearch-footer-background: var(--ifm-background-surface-color);
  --docsearch-key-gradient: linear-gradient(
    -26.5deg,
    var(--ifm-color-emphasis-200) 0%,
    var(--ifm-color-emphasis-100) 100%
  );
}

.DocSearch-Hit em {
  color: var(--ifm-color-primary);
  font-style: normal;
}

footer.footer {
  text-align:center;
  background-color: var(--ifm-navbar-background-color) !important;
}

footer a,
footer a:hover {
  color: var(--ifm-color-footer-link);
}

footer.footer>a {
  background-image: url('/cdn/img/logo-v3.svg');
  height: 32px;
  width: 244px;
  display: block;
  background-repeat: no-repeat;
  background-position: center;
  margin: 0px auto 1em;
}

footer.footer>section {
  color: var(--ifm-header-color-base);
}

html[data-theme='dark'] footer.footer>a {
  background-image: url('/cdn/img/logo-dark-v3.svg');
}

footer.footer a img {
  display: none;
}

.docusaurus-highlight-code-line {
  background-color: rgb(72, 77, 91);
  display: block;
  margin: 0 calc(-1 * var(--ifm-pre-padding));
  padding: 0 var(--ifm-pre-padding);
}

header h1, header p, header a {
  color: var(--ifm-header-color-base)!important;
}

html[data-theme='dark'] header > div.container > h1, 
html[data-theme='dark'] header > div.container > p, 
html[data-theme='dark'] header > div.container a {
  color: var(--ifm-background-color)!important;
}

header .button.button--secondary.button--outline:not(.button--active):not(:hover) {
  color: var(--ifm-font-color-base-inverse);
}

html[data-theme='dark'] blockquote {
  color: var(--ifm-background-color);
}

blockquote {
  border-left: 6px solid var(--ifm-color-primary);
  background-color: var(--ifm-color-primary-lightest);
  color: var(--ifm-font-color-base);
  border-radius: var(--ifm-alert-border-radius);
}

blockquote > p > a {
  color: var(--ifm-font-color-base) !important;
  text-decoration-color: var(--ifm-color-primary) !important;
}

blockquote > p > a:hover {
  text-decoration-thickness: 2px !important;
}

/**
 * Cookie Banner Style Start
 */

 #cbBackdrop {
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 9999;
  position: fixed;
  touch-action: none;
  background-color: rgba(0, 0, 0, 0.5);
  -webkit-tap-highlight-color: transparent;
  opacity: 1;
  transition: opacity 225ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
  display: flex;
  align-items: flex-start;
  justify-content: center;
}

#cbModal {
  margin: 75px 0;
  max-height: calc(100% - 150px);
  width: 60%;
  background-color: var(--ifm-color-cb-background);
  border-radius: 4px;
  overflow-y: auto;
}

#cbContent {
  padding: 36px 36px 25px 36px;
}

#cbContent p, #cbContent li {
  font-size: 18px;
}

#cbContent span {
  font-size: 16px;
}

#cbContent h3 {
  font-size: 24px;
}

#cbContent h4 {
  /* color: #005479; */
  font-size: 20px;
  margin-bottom: 16px;
  margin-top: 1.5em;
}

#cbFooter {
  background-color: var(--ifm-color-cb-footer-background);
  border-radius: 0 4px;
  padding: 10px 20px;
  text-align: right;
}

.cbButtons{
  display: flex;
}

.cbButtons > div {
  margin: 0 15px 0 0;
  cursor: pointer;
  text-align: center;
  border-radius: 30px !important;
  font-size: 16px !important;
  color: var(--ifm-color-cb-button);
  border: 1px solid var(--ifm-color-cb-button);
  border-radius: 3px;
  display: inline-block;
  font-size: 14px;
  font-weight: 400;
  line-height: 1.2em;
  padding: 10px;
  text-decoration: none !important;
  text-transform: uppercase;
  transition: background 0.3s, color 0.3s;  
}

.cbButtons > div:hover {
  color: var(--ifm-color-cb-background);
  background: var(--ifm-color-cb-button);
}

.cookieOption {
  display: flex;
  flex-direction: column;
  margin-bottom: 30px;
}

.cookieOption > div:first-of-type {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.cookieOption > div:first-of-type > p {
  margin: 0 0 0 10px;
}

#cookieSummary {
  padding-left: 25px;
}

.cbBox {
  display: flex;
  flex-direction: row;
}

.cbBox > div {
  flex: 1 1 0px;
}

.cbRed {
  color: #ff3233!important;
}

/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  min-width: 60px;
  height: 34px;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input + .slider {
  background-color: gray!important;
}

input:checked + .slider {
  background-color: #4f6fda!important;
}

input:disabled + .slider {
  background-color: #ccc!important;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

@media only screen and (min-width: 100px) and (max-width: 1000px) {
  #cbModal {
    width: 90%;
  }
}


@media only screen and (min-width: 100px) and (max-width: 736px) {
  #cbModal {
    width: 90%;
  }

  .cbBox {
    display: flex;
    flex-direction: column;
  }
}

@media only screen and (min-device-width: 100px) and (max-device-width: 736px) {
  #cbModal {
    width: 90%;
  }

  .cbBox {
    display: flex;
    flex-direction: column;
  }
}

/**
 * Cookie Banner Style End
 */
 
  /**
 * Lifecycle Style Start
 */
 .expired {
  background-color: rgba(255, 50, 51, 0.6);
}

/**
 * Hero background image override
 */

/* default fallback */
.hero--primary {

  background-image: url('/cdn/img/header-bg-v3-light.png');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

/* background: linear-gradient(to right, 
  #fda537 0%,
  #ffa5fb 50%,
  #b9a8fc 100%
); */

/* dark mode */
html[data-theme='dark'] .hero--primary {
  background-image: url('/cdn/img/header-bg-v3-dark.png');
}

/**
 * Lifecycle Style End
 */